Subject: Re: bug#78456: 31.0.50; regression in treesit-simple-imenu

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 May 2025 19:07:05 +0300

> From: Vincenzo Pupillo <[email-masked]>
> Date: Fri, 16 May 2025 16:03:32 +0200
> 
> Ciao, 
> Imenu of ‘mhtml-ts-mode’ was able to show all (when I wrote mhtml-ts-mode) 
> items regardless of the cursor's position within the file. 
> For example, it always showed CSS, JavaScript, and HTML items. However, I 
> realized that the behavior has changed, and the displayed items vary depending 
> on the cursor's position.
> 
> If the cursor is placed inside the <script> tags, you will see HTML and 
> JavaScript items, but not CSS items. If the cursor is positioned outside the 
> <style> and <script> tags, only the HTML items are visible.
> 
> This change seems to be related to the patch (bug #77256). Is it possible to 
> restore the previous behavior?

I think you are talking about commit a6d746400cd?  So adding Juri to
the discussion.